import { _decorator } from "cc";
import { FormType } from "./config/SysDefine";
import SceneMgr from "./SceneMgr";
import UIBase from "./UIBase";

const { ccclass, property } = _decorator;

@ccclass("UIScreen")
export class UIScreen extends UIBase {
    formType = FormType.Screen;
    willDestory = true;

    async closeSelf() {
        return await SceneMgr.close(this.fid)
    }
}